// gi imports
const GLib = imports.gi.GLib;

let _uninstalledDir = GLib.getenv("THE_BOARD_UNINSTALLED_DIR");

let LOCALE_DIR = "/usr/share/locale";

let BACKGROUNDS_DATA_DIR = "/usr/share/the-board/backgrounds/";
if (_uninstalledDir) {
    BACKGROUNDS_DATA_DIR = _uninstalledDir + "/data/backgrounds/";
}

let ICONS_DIR = "/usr/share/the-board/icons/";
if (_uninstalledDir) {
    ICONS_DIR = _uninstalledDir + "/data/icons/";
}

let STYLE_DIR = "/usr/share/the-board/style/";
if (_uninstalledDir) {
    STYLE_DIR = _uninstalledDir + "/data/style/";
}

let THINGS_DATA_DIR = "/usr/share/the-board/things/";
if (_uninstalledDir) {
    THINGS_DATA_DIR = _uninstalledDir + "/data/things/";
}
